Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.search.lucene
Class AbstractLuceneSearchEngine.AbstractLuceneProcessor.QueryFactory

    java.lang.Object
      org.modeshape.search.lucene.AbstractLuceneSearchEngine.AbstractLuceneProcessor.QueryFactory

Enclosing class:
  AbstractLuceneSearchEngine.AbstractLuceneProcessor<WorkspaceType extends SearchEngineWorkspace,SessionType extends AbstractLuceneSearchEngine.WorkspaceSession>

    protected class AbstractLuceneSearchEngine.AbstractLuceneProcessor.QueryFactory

extends Object

Constructor Summary
`protected` | `AbstractLuceneSearchEngine.AbstractLuceneProcessor.QueryFactory(AbstractLuceneSearchEngine.WorkspaceSession session, Map<String,Object> variables)`

Method Summary
`Object` | `createOperand(StaticOperand operand, CaseOperations.CaseOperation caseOperation)`
`org.apache.lucene.search.Query` | `createQuery(Constraint constraint)`
`org.apache.lucene.search.Query` | `createQuery(DynamicOperand left, Operator operator, StaticOperand right)`
`org.apache.lucene.search.Query` | `createQuery(DynamicOperand left, Operator operator, StaticOperand right, CaseOperations.CaseOperation caseOperation)`
`org.apache.lucene.search.Query` | `createQuery(DynamicOperand left, StaticOperand lower, StaticOperand upper, boolean includesLower, boolean includesUpper, CaseOperations.CaseOperation caseOperation)`
`org.apache.lucene.search.Query` | `createQuery(PropertyExistence existence)`
`org.apache.lucene.search.Query` | `createQuery(String fieldName, FullTextSearch.Term term)`
`String` | `fieldNameFor(String name)`
`Object` | `lowerCase(Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractLuceneSearchEngine.AbstractLuceneProcessor.QueryFactory

    protected AbstractLuceneSearchEngine.AbstractLuceneProcessor.QueryFactory(AbstractLuceneSearchEngine.WorkspaceSession session,
                                                                              Map<String,Object> variables)

Method Detail

### createQuery

    public org.apache.lucene.search.Query createQuery(Constraint constraint)
                                               throws IOException

  Throws:
    `IOException`

### createQuery

    public org.apache.lucene.search.Query createQuery(DynamicOperand left,
                                                      Operator operator,
                                                      StaticOperand right)
                                               throws IOException

  Throws:
    `IOException`

### createQuery

    public org.apache.lucene.search.Query createQuery(DynamicOperand left,
                                                      Operator operator,
                                                      StaticOperand right,
                                                      CaseOperations.CaseOperation caseOperation)
                                               throws IOException

  Throws:
    `IOException`

### createOperand

    public Object createOperand(StaticOperand operand,
                                CaseOperations.CaseOperation caseOperation)

### createQuery

    public org.apache.lucene.search.Query createQuery(DynamicOperand left,
                                                      StaticOperand lower,
                                                      StaticOperand upper,
                                                      boolean includesLower,
                                                      boolean includesUpper,
                                                      CaseOperations.CaseOperation caseOperation)
                                               throws IOException

  Throws:
    `IOException`

### lowerCase

    public Object lowerCase(Object value)

### createQuery

    public org.apache.lucene.search.Query createQuery(PropertyExistence existence)

### createQuery

    public org.apache.lucene.search.Query createQuery(String fieldName,
                                                      FullTextSearch.Term term)
                                               throws IOException

  Throws:
    `IOException`

### fieldNameFor

    public String fieldNameFor(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.